Subject: Re: [PATCH 1/3] Git.pm: Add faculties to allow temp files to be cached

From: Lea Wiemann <[email-masked]>
Date: Wed, 13 Aug 2008 22:05:04 +0200

Marcus Griep wrote:
> diff --git a/perl/Git.pm b/perl/Git.pm
>
> +require File::Spec;

This makes Git.pm dependent on Perl 5.6.1.  Some tests (like
t3701-add-interactive.sh) seem to work with pretty much any Perl version
out there, and requiring File::Spec changes this.  Hence to avoid
complaints about failing tests, I suggest that you add a check for
File::Spec availability at the beginning of any test that (indirectly)
uses Git.pm.

(All my statements are untested... ;-))

-- Lea